Bug 10697 - samba_kcc gives strange errors
samba_kcc gives strange errors
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
4.1.4
All All
: P5 normal
: ---
Assigned To: Andrew Bartlett
Samba QA Contact
:
Depends on:
Blocks: 10695
  Show dependency treegraph
 
Reported: 2014-07-08 12:26 UTC by Stefan Metzmacher
Modified: 2015-07-20 23:07 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2014-07-08 12:26:13 UTC
samba_kcc gives strange errors:

Calling samba_kcc script
/memdisk/metze/a/b298155/samba/source4/scripting/bin/samba_kcc: close failed in file object destructor:
/memdisk/metze/a/b298155/samba/source4/scripting/bin/samba_kcc: IOError: [Errno 10] No child processes
/memdisk/metze/a/b298155/samba/source4/scripting/bin/samba_kcc: close failed in file object destructor:
/memdisk/metze/a/b298155/samba/source4/scripting/bin/samba_kcc: IOError: [Errno 10] No child processes

I think we should revert to the kcc written in C for the 4.2 release.
Comment 1 Stefan Metzmacher 2014-07-09 08:47:00 UTC
Sometimes also

Calling samba_kcc script
../source4/dsdb/kcc/kcc_periodic.c:646: Failed samba_kcc - NT_STATUS_ACCESS_DENIED
Calling samba_kcc script
Comment 2 Andrew Bartlett 2015-07-20 23:07:56 UTC
We can assume that KCC bugs from 2014 have been resolved in the great KCC rewrite.